Index: Singular/LIB/sagbi.lib
===================================================================
--- Singular/LIB/sagbi.lib	(revision 0a5ca730b1b89c3ce6ac8f1f6af48f1029041ad0)
+++ Singular/LIB/sagbi.lib	(revision a073dd0f68fbe0062b998d408874acfba7cb4421)
@@ -1,3 +1,4 @@
 //////////////////////////////////////////////////////////////////////////////
+version="$Id: sagbi.lib,v 1.4 2005-06-07 10:05:19 Singular Exp $";
 category="Commutative Algebra";
 info="
@@ -5,10 +6,11 @@
 AUTHORS: Gerhard Pfister,        pfister@mathematik.uni-kl.de,
 @*       Anen Lakhal,            alakhal@mathematik.uni-kl.de
+
 PROCEDURES:
- proc reduction(p,I); Perform one step subalgebra reducton (for short S-reduction) of p w.r.t I
- proc S_poly(I);      Compute the S-polynomilas of the Subalgebra defined by the genartors of I
- proc S_nf(id,I);     Perform iterated S-reductions in order to compute Subalgebras normal forms
- proc sagbi(I);       Construct SAGBI basis for the Subalgebra defined by I
- proc sagbi1(I);      Construct partial SAGBI basis for the Subalgebra defined by I
+ proc reduction(p,I);  Perform one step subalgebra reducton (for short S-reduction) of p w.r.t I
+ proc sagbiSPoly(I);   Compute the S-polynomilas of the Subalgebra defined by the genartors of I
+ proc sagbiNF(id,I);   Perform iterated S-reductions in order to compute Subalgebras normal forms
+ proc sagbi(I);        Construct SAGBI basis for the Subalgebra defined by I
+ proc sagbiPart(I);    Construct partial SAGBI basis for the Subalgebra defined by I
 ";
 
@@ -17,6 +19,6 @@
 
 ///////////////////////////////////////////////////////////////////////////////
-proc S_poly(id ,list #)
-"USAGE: S_poly(id [,n]); id ideal, n positive integer.
+proc sagbiSPoly(id ,list #)
+"USAGE: sagbiSPoly(id [,n]); id ideal, n positive integer.
 RETURN: an ideal
 @format
@@ -27,5 +29,5 @@
         the ideal of algebraic relations.
 @end format
-EXAMPLE: example S_poly; show an example "
+EXAMPLE: example sagbiSPoly; show an example "
 {
   if(size(#)==0)
@@ -97,5 +99,5 @@
       map phi=R1,vars,id;
 
-      // the S_polynomials are the image by phi of the generators of kern
+      // the sagbiSPolynomials are the image by phi of the generators of kern
 
       P=simplify(phi(kern),1);
@@ -110,5 +112,5 @@
 
                  dbprint(printlevel-voice+3,"
-// 'S_poly' created a ring as 2nd element of the list.
+// 'sagbiSPoly' created a ring as 2nd element of the list.
 // The ring contains the ideal 'kern'  of algebraic relations between the
 //leading terms of the generators of I.
@@ -127,6 +129,6 @@
  poly f1,f2,f3,f4=x2,y2,xy+y,2xy2;
  ideal I=f1,f2,f3,f4;
- S_poly(I);
- list L=S_poly(I,1);
+ sagbiSPoly(I);
+ list L=sagbiSPoly(I,1);
  L[1];
  def S= L[2]; setring S; kern;
@@ -198,5 +200,5 @@
   if(size(J)==0)
     {
-      @L =S_poly(I,1);
+      @L =sagbiSPoly(I,1);
     }
   else
@@ -438,6 +440,6 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-proc S_nf(id,ideal dom,int k,list#)
-"USAGE: S_nf(id,dom,k[,n]); id either poly or ideal,dom ideal, k and n positive intergers.
+proc sagbiNF(id,ideal dom,int k,list#)
+"USAGE: sagbiNF(id,dom,k[,n]); id either poly or ideal,dom ideal, k and n positive intergers.
 RETURN: depends On the type of id; ideal or polynomial.
 @format
@@ -451,5 +453,5 @@
 NOTE: computation of Subalgebras normal forms may be performed either
       in polynomial rings or quotient polynomial rings
-EXAMPLE: example S_nf; show example "
+EXAMPLE: example sagbiNF; show example "
 {
   int z;
@@ -490,10 +492,10 @@
 {"EXAMPLE:"; echo = 2;
  ring r=0,(x,y),dp;
- ideal I x2-xy;
+ ideal I= x2-xy;
  qring Q=std(I);
  ideal dom =x2,x2y+y,x3y2;
  poly p=x4+x2y+y;
- S_nf(p,dom,0);
- S_nf(p,dom,1);// tail subalgebra reduction is perofrmed
+ sagbiNF(p,dom,0);
+ sagbiNF(p,dom,1);// tail subalgebra reduction is perofrmed
 }
 
@@ -550,5 +552,5 @@
       L=Spoly1(L,S,Red,2);
       Red=L[1];
-      Red=S_nf(Red,S,k,#);
+      Red=sagbiNF(Red,S,k,#);
       oldS=S;
       S=S+Red;
@@ -563,5 +565,5 @@
 }
 ///////////////////////////////////////////////////////////////////////////////
-proc sagbi1(id,int k,int c,list #)
+proc sagbiPart(id,int k,int c,list #)
 "USAGE: sagbi(id,k,c[,n]); id ideal, k, c and n positive integer.
 RETURN: A partial SAGBI basis for the subalgebra defined by the genrators of id.
@@ -581,5 +583,5 @@
        with infinte SAGBI basis. In this case, by means of this procedure,
        we may check for example, if the elements of this basis have a particular form.
-EXAMPLE: example sagbi1; show example "
+EXAMPLE: example sagbiPart; show example "
 {
   degBound=0;
@@ -592,5 +594,5 @@
       L=Spoly1(L,S,Red,2);
       Red=L[1];
-      Red=S_nf(Red,S,k,#);
+      Red=sagbiNF(Red,S,k,#);
       oldS=S;
       S=S+Red;
@@ -603,6 +605,5 @@
  ring r= 0,(x,y),dp;
  ideal I=x,xy-y2,xy2;//the corresponding Subalgebra has an infinte SAGBI basis
- sagbi1(I,1,3)// computations should stop after 3 turns.
+ sagbiPart(I,1,3);// computations should stop after 3 turns.
 }
 //////////////////////////////////////////////////////////////////////////////
-
